package com.glxp.udi.admin.dao.basic;

import com.glxp.udi.admin.entity.basic.BasicBussinessTypeRoleEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BasicBussinessTypeRoleDao {

    public List<BasicBussinessTypeRoleEntity> getListByRoleId(@Param("roleId") Long roleId);

    /**
     * 删除此角色下所有的扫码单据类型授权数据
     *
     * @param roleId
     */
    void deleteByRoleId(@Param("roleId") Long roleId);

    /**
     * 插入授权数据
     *
     * @param basicBussinessTypeRoleEntities
     */
    void insert(@Param("basicBussinessTypeRoleEntities") List<BasicBussinessTypeRoleEntity> basicBussinessTypeRoleEntities);
}
