package com.glxp.udi.admin.dao.basic;

import com.glxp.udi.admin.entity.basic.BussinessLocalTypeEntity;
import com.glxp.udi.admin.req.basic.BussinessLocalTypeFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BussinessLocalTypeDao {

    List<BussinessLocalTypeEntity> filterList(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessLocalTypeEntity> filterJoin(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessLocalTypeEntity> filterJoinByUser(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessLocalTypeEntity> filterLeftJoin(BussinessLocalTypeFilterRequest bussinessTypeFilterRequest);

    BussinessLocalTypeEntity findBTByAction(String action);

    BussinessLocalTypeEntity findBTByName(String name);

    boolean updateBusLocalType(BussinessLocalTypeEntity bussinessTypeEntity);

    boolean insertBussinessType(BussinessLocalTypeEntity bussinessTypeEntity);

    boolean deleteById(@Param("id") String id);

    BussinessLocalTypeEntity selectById(String id);
}
