package com.glxp.udi.admin.dao.info;

import com.glxp.udi.admin.entity.info.AliKeyEntity;
import com.glxp.udi.admin.entity.info.CompanyEntity;
import com.glxp.udi.admin.req.info.FilterCompanyRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CompanyDao {

    CompanyEntity findCompany(Long CustomerId);

    CompanyEntity findCompanyByName(String companyName);

    List<CompanyEntity> getSubCompany(FilterCompanyRequest companyRequest);

    List<CompanyEntity> getSubCompany2(FilterCompanyRequest companyRequest);

    List<CompanyEntity> filterCompany(FilterCompanyRequest companyRequest);

    boolean modifyCompany(CompanyEntity companyEntity);

    boolean insertCompany(CompanyEntity companyEntity);

    boolean deleteCompany(Long customerId);

    AliKeyEntity findKey(String customerId);
}
