package com.glxp.udi.admin.dao.param;

import com.glxp.udi.admin.entity.param.SystemExcelTemplateEntity;
import com.glxp.udi.admin.req.param.SystemExcelTemplateRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SystemExcelTemplateDao {

    List<SystemExcelTemplateEntity> filterSystemExcelTemplate(SystemExcelTemplateRequest systemExcelTemplateRequest);

    SystemExcelTemplateEntity findSystemExcelTemplateByName(String name);

    List<SystemExcelTemplateEntity> getSystemExcelTemplate(SystemExcelTemplateRequest systemExcelTemplateRequest);

    boolean updateSystemExcelTemplate(SystemExcelTemplateEntity companyCertEntity);

    boolean insertSystemExcelTemplate(SystemExcelTemplateEntity companyCertEntity);

    boolean deleteById(String id);
}
