package com.glxp.udi.admin.dao.thrsys;

import com.glxp.udi.admin.entity.thrsys.ThrCorpEntity;
import com.glxp.udi.admin.req.thrsys.FilterThrCorpRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThrCorpDao {

    List<ThrCorpEntity> filterThrCorps(FilterThrCorpRequest filterThrCorpRequest);

    List<ThrCorpEntity> batchSelectByIds(FilterThrCorpRequest filterThrProductsRequest);

    boolean insertThrCorps(ThrCorpEntity thrCorpEntity);

    boolean insertThrCorpss(@Param("thrCorpEntitys") List<ThrCorpEntity> thrCorpEntitys);

    boolean updateThrCorps(ThrCorpEntity thrCorpEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByUnitId(@Param("unitId") String unitId);

    boolean deleteAll();

    /**
     * 导入第三方往来单位数据
     *
     * @param thrCorpEntities
     */
    void importThrCorps(@Param("thrCorpEntities") List<ThrCorpEntity> thrCorpEntities);

    void importThrCorp(ThrCorpEntity thrCorpEntity);
}
