package com.glxp.udi.admin.entity.inout;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class OrderMdEntity {

    private String id;
    private String orderId;
    private String action;
    private String corpOrderId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date actDate;
    private String fromCorpId;
    private String actor;
    private String mainAction;
    private String fromCorp;
    private String status;
    private String remark;
    private String exportStatus;
    private String fromType;
    private String contrastStatus;
    private String erpFk;
    private String uploadStatus;        //上传状态（0：未上传，1：已上传）
    private Long customerId;

}
