package com.glxp.udi.admin.req.inout;

import lombok.Data;

import java.util.List;

@Data
public class PostUdimsOrderRequest {

    List<OrderBean> orderBeans;
    private String customerId;

    @Data
    public static class OrderBean {
        private String orderId;
        private String corpOrderId;
        private String action;
        private String actDate;
        private String actor;
        private String mainAction;
        private String fromCorpId;
        private String fromCorp;
        private String remark;
        private List<CodeBean> codes;

        @Data
        public static class CodeBean {
            private String action;
            private String mainAction;
            private String code;
            private String corpOrderId;
            private String actor;
            private String actDate;
            private String fromCorpId;
            private String fromCorp;
            private String orderId;
            private String batchNo;
            private String produceDate;
            private String expireDate;
            private String serialNo;
            private Integer count;
            private String packageLevel;
            private String warehouseCode;

            private String customerId;
            private String nameCode;
            private String supId;//供应商ID
            private String invStorageCode;
            private String invWarehouseCode;
            private String relId;
            private Integer status;
            private String locStorageCode;
        }
    }


}
