package com.glxp.udi.admin.service.auth;


import com.glxp.udi.admin.entity.auth.AuthAdmin;
import com.glxp.udi.admin.req.auth.AuthAdminQueryRequest;

import java.util.List;

public interface AuthAdminService {

    List<AuthAdmin> listAdminPage(AuthAdminQueryRequest authAdminQueryRequest);

    AuthAdmin findByUserName(String userName);

    int findCountByCustomerId(Long id);

    AuthAdmin findByUser(String userName, String CustomerId);

    AuthAdmin findById(Long id);


    AuthAdmin findPwdById(Long id);

    boolean insertAuthAdmin(AuthAdmin authAdmin);

    boolean updateAuthAdmin(AuthAdmin authAdmin);

    boolean deleteById(Long id);

    boolean deleteByCustomerId(Long customerId);

    /**
     * 获取医院用户列表
     *
     * @return
     */
    List<AuthAdmin> getHospitalUserList();

}
