package com.glxp.udi.admin.service.info;


import com.glxp.udi.admin.entity.info.AliKeyEntity;
import com.glxp.udi.admin.entity.info.CompanyEntity;
import com.glxp.udi.admin.req.info.FilterCompanyRequest;

import java.util.List;

public interface CompanyService {

    CompanyEntity findCompanyByUnitFk(String unitFk);

    List<CompanyEntity> filterCompany(FilterCompanyRequest companyRequest);

    CompanyEntity findCompany(Long CustomerId);

    List<CompanyEntity> getSubCompany(FilterCompanyRequest commitRequest);

    List<CompanyEntity> getSubCompany2(FilterCompanyRequest commitRequest);

    CompanyEntity findCompanyByName(String companyName);

    boolean modifyCompany(CompanyEntity companyEntity);

    boolean insertCompany(CompanyEntity companyEntity);

    AliKeyEntity findKey(String customerId);

    boolean deleteCompany(Long customerId);
}
