package com.glxp.udi.admin.service.param;

import com.glxp.udi.admin.entity.param.SystemPDFModuleEntity;
import com.glxp.udi.admin.req.param.SystemPDFModuleRequest;
import com.glxp.udi.admin.req.param.SystemPDFModuleSaveRequest;

import java.util.List;


public interface SystemPDFModuleService {

    List<SystemPDFModuleEntity> queryPage(SystemPDFModuleRequest systemPDFModuleRequest);

    List<SystemPDFModuleEntity> listPDFModules(Integer page, Integer limit);

    SystemPDFModuleEntity findSystemPDFModule(SystemPDFModuleRequest systemPDFModuleRequest);

    SystemPDFModuleEntity selectById(String id);

    boolean updateById(SystemPDFModuleSaveRequest systemPDFModuleSaveRequest);

    boolean insert(SystemPDFModuleEntity systemPDFModuleEntity);

    boolean deleteById(Integer id);
}
