package com.glxp.udi.admin.service.param;

import com.glxp.udi.admin.entity.param.SystemPDFTemplateEntity;
import com.glxp.udi.admin.req.param.SystemPDFTemplateRequest;
import com.glxp.udi.admin.req.param.SystemPDFTemplateSaveRequest;

import java.util.List;


public interface SystemPDFTemplateService {

    List<SystemPDFTemplateEntity> queryPage(SystemPDFTemplateRequest systemPDFTemplateRequest);

    List<SystemPDFTemplateEntity> listPDFTemplates(Integer page, Integer limit);

    SystemPDFTemplateEntity findSystemPDFTemplate(SystemPDFTemplateRequest systemPDFTemplateRequest);

    SystemPDFTemplateEntity selectById(String id);

    boolean updateById(SystemPDFTemplateSaveRequest systemPDFTemplateSaveRequest);

    boolean insert(SystemPDFTemplateEntity systemPDFTemplateEntity);

    boolean deleteById(Integer id);
}
