package com.glxp.udi.admin.dao.basic;

import com.glxp.udi.admin.entity.basic.BasicUnitMaintainEntity;
import com.glxp.udi.admin.req.basic.BasicUnitMaintainFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BasicUnitMaintainDao {
    List<BasicUnitMaintainEntity> filterList(BasicUnitMaintainFilterRequest basicUnitMaintainFilterRequest);

    boolean insertBasicUnitMaintain(BasicUnitMaintainEntity basicUnitMaintainEntity);

    boolean insertBasicUnitMaintainignore(BasicUnitMaintainEntity basicUnitMaintainEntity);

    boolean insert(BasicUnitMaintainEntity basicUnitMaintainEntity);

    boolean updateById(BasicUnitMaintainEntity basicUnitMaintainSaveRequest);

    BasicUnitMaintainEntity selectByThirdId(BasicUnitMaintainFilterRequest basicUnitMaintainFilterRequest);

    boolean deleteById(@Param("id") String id);

    BasicUnitMaintainEntity selectById(@Param("id") String id);

    List<BasicUnitMaintainEntity> batchSelectByIds(@Param("ids") List<Integer> id);

    List<BasicUnitMaintainEntity> batchSelectByErpIds(@Param("erpIds") List<String> erpIds);

    BasicUnitMaintainEntity selectByName(@Param("name") String name);


    boolean importBasicUnitMaintain(BasicUnitMaintainEntity basicUnitMaintainEntity);
}
