package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.WarehouseEntity;
import com.glxp.udi.admin.req.inout.WarehouseQueryRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CodesTempDao {

    int insertCodesTemp(@Param("codes") List<WarehouseEntity> warehouseEntities);

    int insertCodesTempSingle(WarehouseEntity warehouseEntitie);

    int updateById(WarehouseEntity warehouseEntitie);

    boolean update(WarehouseEntity warehouseEntity);

    boolean updateByOrderId(WarehouseEntity warehouseEntity);

    boolean updateOrderId(@Param("oldOrderId") String oldOrderId, @Param("newOrderId") String newOrderId);

    int deleteCodesTemp(@Param("codes") List<Long> warehouseEntities);

    int deleteCodesTempById(WarehouseEntity warehouseEntitie);

    List<WarehouseEntity> findByOrderId(WarehouseQueryRequest warehouseQueryRequest);

    List<WarehouseEntity> findByOrderIdAndCode(WarehouseQueryRequest warehouseQueryRequest);

}
