package com.glxp.udi.admin.dao.param;

import com.glxp.udi.admin.entity.param.SystemPDFModuleEntity;
import com.glxp.udi.admin.req.param.SystemPDFModuleRequest;
import com.glxp.udi.admin.req.param.SystemPDFModuleSaveRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SystemPDFModuleDao {

    List<SystemPDFModuleEntity> queryPage(SystemPDFModuleRequest systemPDFModuleRequest);

    List<SystemPDFModuleEntity> listPDFModules();

    SystemPDFModuleEntity findSystemPDFModule(SystemPDFModuleRequest systemPDFModuleRequest);

    SystemPDFModuleEntity selectById(String id);

    boolean updateById(SystemPDFModuleSaveRequest systemPDFModuleSaveRequest);

    boolean insert(SystemPDFModuleEntity systemPDFModuleEntity);

    boolean deleteById(Integer id);
}
