package com.glxp.udi.admin.dao.param;

import com.glxp.udi.admin.entity.param.SystemPDFTemplateEntity;
import com.glxp.udi.admin.req.param.SystemPDFTemplateRequest;
import com.glxp.udi.admin.req.param.SystemPDFTemplateSaveRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SystemPDFTemplateDao {

    List<SystemPDFTemplateEntity> queryPage(SystemPDFTemplateRequest systemPDFTemplateRequest);

    List<SystemPDFTemplateEntity> listPDFTemplates();

    SystemPDFTemplateEntity findSystemPDFTemplate(SystemPDFTemplateRequest systemPDFTemplateRequest);

    SystemPDFTemplateEntity selectById(String id);

    boolean updateById(SystemPDFTemplateSaveRequest systemPDFTemplateSaveRequest);

    boolean insert(SystemPDFTemplateEntity systemPDFTemplateEntity);

    boolean deleteById(Integer id);
}
