package com.glxp.udi.admin.res.basic;

import lombok.Data;

@Data
public class ErpProductsResponse {

    private String code;    //产品编码
    private String name;
    private String measname;    //计量单位
    private String spec;        //规格型号
    private String registerNo;  //注册证号
    private String manufactory; //生产厂家
    private String cplb;
    private String flbm;
    private String qxlb;
    private String ybbm;
    private String sptm;
    private String tyshxydm;
    private String zczbhhzbapzbh;
    private String ylqxzcrbarmc;
    private String ylqxzcrbarywmc;
    private String cpms;
    private String supName;


    //辅助字段
    private boolean isChecked;
    private String thirdSys;

    //添加字段
    private String model; //型号
    private String standard; //规格型号，二合一字段
    private String qtbm; //其他编码
    private String zczyxqz; //注册有效期截止时间
    private String remark; //备注
    private String remark1; //备注1
    private String remark2; //备注2
    private String remark3; //备注3

}
