package com.glxp.udi.admin.service.basic;

import com.glxp.udi.admin.entity.basic.BasicThirdSysDetailEntity;
import com.glxp.udi.admin.entity.basic.BussinessTypeEntity;
import com.glxp.udi.admin.req.basic.BussinessTypeFilterRequest;
import com.glxp.udi.admin.res.basic.BussinessTypResponse;

import java.util.List;

public interface BussinessTypeService {

    List<BussinessTypeEntity> filterList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessTypResponse> filterJoinList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessTypeEntity> filterAllByUser(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    BussinessTypeEntity selectById(String id);

    BussinessTypeEntity findBTByAction(String action);

    BussinessTypeEntity findBTByName(String name);

    BussinessTypResponse findJoinBTByAction(String action);

    BasicThirdSysDetailEntity findByActionKey(String action, String key);

    boolean insertBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean insertIgnoreBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean updateBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean deleteById(String id);

    /**
     * 查询候选补单类型
     *
     * @param id
     * @return
     */
    List<BussinessTypeEntity> candidateBussinessType(String id);
}
