package com.glxp.udi.admin.service.udidl.impl;

import com.glxp.udi.admin.req.udidl.SysRoleParam;
import com.glxp.udi.admin.service.udidl.SysRoleService;
import com.glxp.udi.admin.util.UdidlClient;
import com.glxp.udi.common.res.BaseResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class SysRoleServiceImpl implements SysRoleService {

    @Autowired
    private UdidlClient udidlClient;

    @Override
    public BaseResponse getList(SysRoleParam sysRoleParam) {
        return udidlClient.getSysRoleList(sysRoleParam);
    }

}
